ResumptionAction (Apache Geode 1.15.4)

org.apache.geode.cache

## Class ResumptionAction

- java.lang.Object
- - org.apache.geode.cache.ResumptionAction

- All Implemented Interfaces:
    Serializable

  Deprecated.
  this API is scheduled to be removed

      @Deprecated
       @Immutable
      public class ResumptionAction
      extends Object
      implements Serializable

  Specifies how the region is affected by resumption of reliability when one or more missing required roles return to the distributed membership. The `ResumptionAction` is specified when configuring a region's `MembershipAttributes`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResumptionAction` | `NONE` Deprecated. No special action takes place when reliability resumes.
    `byte` | `ordinal` Deprecated. byte used as ordinal to represent this Scope
    `static ResumptionAction` | `REINITIALIZE` Deprecated. Resumption of reliability causes the region to be cleared of all data and `replicated` regions will do a new getInitialImage operation to repopulate the region.
    `static List` | `VALUES` Deprecated. List of all ResumptionAction values

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResumptionAction` | `fromName(String name)` Deprecated. Return the ResumptionAction specified by name
    `static ResumptionAction` | `fromOrdinal(byte ordinal)` Deprecated. Return the ResumptionAction represented by specified ordinal
    `boolean` | `isNone()` Deprecated. Returns true if this is `NONE`.
    `boolean` | `isReinitialize()` Deprecated. Returns true if this is `REINITIALIZE`.
    `String` | `toString()` Deprecated. Returns a string representation for this resumption action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          @Immutable
          public static final ResumptionAction NONE

      Deprecated.
      No special action takes place when reliability resumes.

    - #### REINITIALIZE

          @Immutable
          public static final ResumptionAction REINITIALIZE

      Deprecated.
      Resumption of reliability causes the region to be cleared of all data and `replicated` regions will do a new getInitialImage operation to repopulate the region. Any existing references to this region become unusable in that any subsequent methods invoked on those references will throw a `RegionReinitializedException`.

    - #### ordinal

          public final byte ordinal

      Deprecated.
      byte used as ordinal to represent this Scope

    - #### VALUES

          @Immutable
          public static final List VALUES

      Deprecated.
      List of all ResumptionAction values

  - ### Method Detail

    - #### fromOrdinal

          public static ResumptionAction fromOrdinal(byte ordinal)

      Deprecated.
      Return the ResumptionAction represented by specified ordinal
      Parameters:
        `ordinal` - the ordinal representation of a ResumptionAction
      Returns:
        the ResumptionAction specified by name

    - #### fromName

          public static ResumptionAction fromName(String name)

      Deprecated.
      Return the ResumptionAction specified by name
      Parameters:
        `name` - the name of the action
      Returns:
        the ResumptionAction specified by name

    - #### isNone

          public boolean isNone()

      Deprecated.
      Returns true if this is `NONE`.
      Returns:
        whether this is `NONE`

    - #### isReinitialize

          public boolean isReinitialize()

      Deprecated.
      Returns true if this is `REINITIALIZE`.
      Returns:
        whether this is `REINITIALIZE`

    - #### toString

          public String toString()

      Deprecated.
      Returns a string representation for this resumption action.
      Overrides:
        `toString` in class `Object`
      Returns:
        the name of this resumption action